Magento2 : Recommended way to properly filter the logs?












1















Recommended way to properly filter the logs?



It's like a log4j Java app with every logger active, so essentially a flood of useless chatter. Is there any way I can configure or manage what gets logged? Mabye set a level threshold? Or even disable certain loggers?










share|improve this question





























    1















    Recommended way to properly filter the logs?



    It's like a log4j Java app with every logger active, so essentially a flood of useless chatter. Is there any way I can configure or manage what gets logged? Mabye set a level threshold? Or even disable certain loggers?










    share|improve this question



























      1












      1








      1








      Recommended way to properly filter the logs?



      It's like a log4j Java app with every logger active, so essentially a flood of useless chatter. Is there any way I can configure or manage what gets logged? Mabye set a level threshold? Or even disable certain loggers?










      share|improve this question
















      Recommended way to properly filter the logs?



      It's like a log4j Java app with every logger active, so essentially a flood of useless chatter. Is there any way I can configure or manage what gets logged? Mabye set a level threshold? Or even disable certain loggers?







      magento2 configuration log magento2.3.0






      share|improve this question















      share|improve this question













      share|improve this question




      share|improve this question








      edited Jan 8 at 18:48









      Vivek Kumar

      2,4242629




      2,4242629










      asked Jan 8 at 17:23









      J. M. BeckerJ. M. Becker

      1217




      1217






















          1 Answer
          1






          active

          oldest

          votes


















          0














          I ended up throwing this script in the project bin/, and use it to start PHP's built-in webserver.



          #!/bin/sh

          MAGE_DIR="${MAGE_DIR:-$(readlink -m "${0}/../../")}"
          cd "$MAGE_DIR" || {
          echo "cd $MAGE_DIR failed"
          exit 1
          }

          trap 'kill $(jobs -p)' EXIT


          php -S localhost:8082 -t ./pub/ phpserver/router.php &
          PID=$!

          tail -f --pid $PID var/log/system.log | grep -v '(DEBUG|INFO)'


          I'd still like to know how to properly configure logs, or if Magento even has such a capability.





          share























            Your Answer








            StackExchange.ready(function() {
            var channelOptions = {
            tags: "".split(" "),
            id: "479"
            };
            initTagRenderer("".split(" "), "".split(" "), channelOptions);

            StackExchange.using("externalEditor", function() {
            // Have to fire editor after snippets, if snippets enabled
            if (StackExchange.settings.snippets.snippetsEnabled) {
            StackExchange.using("snippets", function() {
            createEditor();
            });
            }
            else {
            createEditor();
            }
            });

            function createEditor() {
            StackExchange.prepareEditor({
            heartbeatType: 'answer',
            autoActivateHeartbeat: false,
            convertImagesToLinks: false,
            noModals: true,
            showLowRepImageUploadWarning: true,
            reputationToPostImages: null,
            bindNavPrevention: true,
            postfix: "",
            imageUploader: {
            brandingHtml: "Powered by u003ca class="icon-imgur-white" href="https://imgur.com/"u003eu003c/au003e",
            contentPolicyHtml: "User contributions licensed under u003ca href="https://creativecommons.org/licenses/by-sa/3.0/"u003ecc by-sa 3.0 with attribution requiredu003c/au003e u003ca href="https://stackoverflow.com/legal/content-policy"u003e(content policy)u003c/au003e",
            allowUrls: true
            },
            onDemand: true,
            discardSelector: ".discard-answer"
            ,immediatelyShowMarkdownHelp:true
            });


            }
            });














            draft saved

            draft discarded


















            StackExchange.ready(
            function () {
            StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fmagento.stackexchange.com%2fquestions%2f257160%2fmagento2-recommended-way-to-properly-filter-the-logs%23new-answer', 'question_page');
            }
            );

            Post as a guest















            Required, but never shown

























            1 Answer
            1






            active

            oldest

            votes








            1 Answer
            1






            active

            oldest

            votes









            active

            oldest

            votes






            active

            oldest

            votes









            0














            I ended up throwing this script in the project bin/, and use it to start PHP's built-in webserver.



            #!/bin/sh

            MAGE_DIR="${MAGE_DIR:-$(readlink -m "${0}/../../")}"
            cd "$MAGE_DIR" || {
            echo "cd $MAGE_DIR failed"
            exit 1
            }

            trap 'kill $(jobs -p)' EXIT


            php -S localhost:8082 -t ./pub/ phpserver/router.php &
            PID=$!

            tail -f --pid $PID var/log/system.log | grep -v '(DEBUG|INFO)'


            I'd still like to know how to properly configure logs, or if Magento even has such a capability.





            share




























              0














              I ended up throwing this script in the project bin/, and use it to start PHP's built-in webserver.



              #!/bin/sh

              MAGE_DIR="${MAGE_DIR:-$(readlink -m "${0}/../../")}"
              cd "$MAGE_DIR" || {
              echo "cd $MAGE_DIR failed"
              exit 1
              }

              trap 'kill $(jobs -p)' EXIT


              php -S localhost:8082 -t ./pub/ phpserver/router.php &
              PID=$!

              tail -f --pid $PID var/log/system.log | grep -v '(DEBUG|INFO)'


              I'd still like to know how to properly configure logs, or if Magento even has such a capability.





              share


























                0












                0








                0







                I ended up throwing this script in the project bin/, and use it to start PHP's built-in webserver.



                #!/bin/sh

                MAGE_DIR="${MAGE_DIR:-$(readlink -m "${0}/../../")}"
                cd "$MAGE_DIR" || {
                echo "cd $MAGE_DIR failed"
                exit 1
                }

                trap 'kill $(jobs -p)' EXIT


                php -S localhost:8082 -t ./pub/ phpserver/router.php &
                PID=$!

                tail -f --pid $PID var/log/system.log | grep -v '(DEBUG|INFO)'


                I'd still like to know how to properly configure logs, or if Magento even has such a capability.





                share













                I ended up throwing this script in the project bin/, and use it to start PHP's built-in webserver.



                #!/bin/sh

                MAGE_DIR="${MAGE_DIR:-$(readlink -m "${0}/../../")}"
                cd "$MAGE_DIR" || {
                echo "cd $MAGE_DIR failed"
                exit 1
                }

                trap 'kill $(jobs -p)' EXIT


                php -S localhost:8082 -t ./pub/ phpserver/router.php &
                PID=$!

                tail -f --pid $PID var/log/system.log | grep -v '(DEBUG|INFO)'


                I'd still like to know how to properly configure logs, or if Magento even has such a capability.






                share











                share


                share










                answered 6 mins ago









                J. M. BeckerJ. M. Becker

                1217




                1217






























                    draft saved

                    draft discarded




















































                    Thanks for contributing an answer to Magento Stack Exchange!


                    • Please be sure to answer the question. Provide details and share your research!

                    But avoid



                    • Asking for help, clarification, or responding to other answers.

                    • Making statements based on opinion; back them up with references or personal experience.


                    To learn more, see our tips on writing great answers.




                    draft saved


                    draft discarded














                    StackExchange.ready(
                    function () {
                    StackExchange.openid.initPostLogin('.new-post-login', 'https%3a%2f%2fmagento.stackexchange.com%2fquestions%2f257160%2fmagento2-recommended-way-to-properly-filter-the-logs%23new-answer', 'question_page');
                    }
                    );

                    Post as a guest















                    Required, but never shown





















































                    Required, but never shown














                    Required, but never shown












                    Required, but never shown







                    Required, but never shown

































                    Required, but never shown














                    Required, but never shown












                    Required, but never shown







                    Required, but never shown







                    Popular posts from this blog

                    What other Star Trek series did the main TNG cast show up in?

                    Berlina muro

                    Berlina aerponto